# MatRegisterDestroy

Frees the list of matrix types that were registered by MatRegister()/MatRegisterDynamic().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatRegisterDestroy(void)

Not Collective

### Keywords

Mat, register, destroy

### See Also

MatRegister(), MatRegisterAll(), MatRegisterDynamic()

Level:advanced
Location: src/mat/interface/matreg.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages